#include <bits/stdc++.h>

using namespace std;

int main()
{
    int ans=0;
    string t,s;
    bool indikator=true;
    cin>>t>>s;
    for(int i=0;i<s.size();i++)
    {
        if(s[i]!='a')
            indikator=false;
    }
    if(indikator)
    {
        for(int i=0;i<t.size();i++)
        {
            if(t[i]=='a')
            {
                ans++;
            }
        }
        ans-=s.size();
        ans+=1;
        cout<<ans<<endl;
        for(int i=0;i<t.size();i++)
        {
            if(ans==0)
            {
                break;
            }
            if(t[i]=='a')
            {
                t[i]='*';
                ans--;
            }
        }
        cout<<t;
        return 0;
    }
    if(s=="ab")
    {
        int indeksb=0,indeksa=t.size()-1,acount=0,bcount=0;
        while(t[indeksa]=='a')
        {
            indeksa--;
        }
        indeksa+=1;
        while(t[indeksb]=='b')
        {
            indeksb++;
        }
        for(int i=indeksb;i<indeksa;i++)
        {
            if(t[i]=='a')acount++;
            else bcount++;
        }
        if(acount>bcount)
        {
            ans=bcount;
            for(int i = indeksb;i<indeksa;i++)
            {
                if(t[i]=='b')t[i]='*';
            }
            cout<<ans<<endl;
            cout<<t;
        }
        else
        {
            ans=acount;
            for(int i = indeksb;i<indeksa;i++)
            {
                if(t[i]=='a')t[i]='*';
            }
            cout<<ans<<endl;
            cout<<t;
        }
    }
    return 0;
}